
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Utility template functions for arrays.

// Template header file

// Copyright (C) 2003  Tommi Hynlnmaa

#ifndef ArrayUtils_h
#define ArrayUtils_h

#ifdef USE_PRAGMA_INTERFACE
#pragma interface
#endif

#include "OctaveIncludes.h"
#include "CommonTypes.h"

template< class A, class T >
T SumArrayElements( A const & a, T const & );

template< class A, class T >
T SumArrayElementsInRange(
  A const & a, T const &,
  Integer iStart,
  Integer iEnd
  );

template< class T >
Array< T >
GetRangeFromArray(
  Array< T > const & aSrc,
  Integer nStart,
  Integer nEnd
  );

template< class T >
Array< T >
ConcatenateArrays( Array< T > const & a1, Array< T > const & a2 );

template< class T >
bool
EqualArrays( Array< T > const & a1, Array< T > const & a2 );

#ifdef INCLUDE_TEMPLATE_DEFINITIONS
#include "ArrayUtils.cc"
#endif

#endif
