
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Binary input/output for real matrices

// Header file

// Copyright (C) 2004  Tommi Hynlnmaa

#ifndef BinaryIO_h
#define BinaryIO_h

#include "OctaveIncludes.h"
#include "CommonTypes.h"
#include <cstdio>
#include <string>
#include <utility>

#ifdef USE_NAMESPACES
using namespace std;
#endif

int16 const nSignature = 0x1E00;
int16 const nHeaderSize = 16;

typedef enum
{
  READ_ERROR,
  READ_OK
} EnumReadStatus;

typedef enum
{
  WRITE_ERROR,
  WRITE_OK
} EnumWriteStatus;

void WriteDoubleBin( FILE* file, double value );
void WriteInt32Bin( FILE* file, int32 value );
void WriteInt16Bin( FILE* file, int16 value );
EnumWriteStatus WriteMatrixBin( FILE* file, Matrix values );
EnumWriteStatus OutputMatrixBin( string sFileName, Matrix mx );
pair< Matrix, EnumReadStatus > ReadMatrixBin( FILE* file );
pair< Matrix, EnumReadStatus > InputMatrixBin( string sFileName );
bool EndianSwapBin( FILE* file1, FILE* file2 );

#ifdef OCTAVE_DL_COMPILATION
#include "BinaryIO.cc"
#endif

#endif
