
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Choosing wavefunction with desired principal
// and angular momentum quantum numbers.

// Header file

// Copyright (C) 2003  Tommi Hynlnmaa

#ifndef ChooseWavefunction_h
#define ChooseWavefunction_h

#include "OctaveIncludes.h"
#include "OctaveComplexIncludes.h"
#include "CommonTypes.h"
#include "WaveletFilters.h"
#include "Basis.h"
#include "UniformBasis.h"
#include "EnumWfRejectionReason.h"

struct WavefunctionInfo
  {
    bool fFound;
    Real rEpsilon;
    ColumnVector vWavefunction;
    ColumnVector vWfScf;
    Integer nCounted;
    Integer iIndexFound;
    Array< EnumWfRejectionReason > anRejectionReasons;
    Array< Integer > anCountedNodes;
    Array< Integer > anCountedRejectedNodes;
    // ColumnVector used instead of Array< Real >
    ColumnVector vAntisymmIndicators;
};

WavefunctionInfo ChooseWavefunction(
  WaveletFilters const & wv,
  Array< Integer > anDecSof,
  bool fZPresentInBasis,
  Basis const & basisNsof,
  Array< Integer > anDecNsof,
  UniformBasis const & usfbScfBasis,
  ColumnVector vD1Filter,
  ComplexColumnVector cvEigenvalues,
  ComplexMatrix cmxEigenvectors,
  Integer nDesiredNodes,
  Real rAntisymmThreshold,
  Real rDerivThreshold,
  Real rSignCheckPosition
  );

#ifdef OCTAVE_DL_COMPILATION
#include "ChooseWavefunction.cc"
#endif

#endif
