
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Common types for interpolating wavelet computations.

// Header file without implementation file

// Copyright (C) 2003  Tommi Hynlnmaa

#ifndef CommonTypes_h
#define CommonTypes_h

typedef int Integer;
typedef double Real;
typedef Integer WaveletType;
typedef Integer ScalingIndex;
typedef Integer TranslationIndex;

// Maximum resolution (not causing overflow with 2^k)
static ScalingIndex const siMaxResolution = 30;
#define MAX_RESOLUTION siMaxResolution

typedef signed char sbyte;
typedef unsigned char byte;
typedef signed char int8;
typedef unsigned char uint8;
typedef short int16;
typedef unsigned short uint16;
typedef int int32;
typedef unsigned int uint32;

#endif
