
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Computation of atom energy in Hartree-Fock method.

// Header file

// Copyright (C) 2003  Tommi Hynlnmaa

#ifndef ComputeAtomEnergy_h
#define ComputeAtomEnergy_h

#include "OctaveIncludes.h"
#include "CommonTypes.h"
#include "WaveletFilters.h"
#include "Triplet.h"
#include "Basis.h"
#include "UniformBasis.h"

Triplet< Real, ColumnVector, ColumnVector >
ComputeAtomEnergy(
  WaveletFilters const & wv,
  Basis const & basisSof,
  Basis const & basisNsof,
  Array< Integer > anDecNsof,
  UniformBasis const & usfb,
  Array< Integer > anOrbitalOccupations,
  Matrix mxWavefunctions,
  ColumnVector vDiagLagrangeMultipliers,
  Array< Matrix > amxDirectIntOps,
  Array< Matrix > amxExchangeIntOps
  );

#endif
