
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Computation of the expected value of an operator

// Header file

// Copyright (C) 2004  Tommi Hynlnmaa

#ifndef ComputeExpectedValue_h
#define ComputeExpectedValue_h

#include "OctaveIncludes.h"
#include "CommonTypes.h"
#include "WaveletFilters.h"
#include "Basis.h"
#include "UniformBasis.h"

OCTAVE_EXPORT_FDECL
Real
ComputeExpectedValue(
  WaveletFilters const & wv,
  Basis const & basisNsof,
  Array< Integer > const & anDecNsof,
  UniformBasis usfbScfBasis, 
  Matrix mxOp, 
  ColumnVector vWf
  );

#ifdef OCTAVE_DL_COMPILATION
#include "ComputaExpectedValue.cc"
#endif

#endif


