
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Computation of inner products of radial wavefunctions

// Implementation file

// Copyright (C) 2004  Tommi Hynlnmaa

#include "ComputeInnerProducts.h"
#include "ComputeNormalInnerProduct.h"

OCTAVE_EXPORT_FDECL
Matrix
ComputeInnerProducts(
  UniformBasis const & usfb, Matrix mxWfScf
  )
  {
  Integer const nOrbitals = mxWfScf.columns( );
  Matrix mxInnerProducts( nOrbitals, nOrbitals, 0.0 );
  for( Integer i1 = 0; i1 < nOrbitals; i1++ )
    {
    for( Integer i2 = i1; i2 < nOrbitals; i2++ )
      {
      mxInnerProducts( i1, i2 ) =
        ComputeNormalInnerProduct(
          usfb, mxWfScf.column( i1 ), mxWfScf.column( i2 )
          );
      }
    }
  return mxInnerProducts;
  }
