
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Computation of NSOF block for differentiation operator
//
//   (Op f)(r) = (df^k/dr^k)(r)
//

// Header file

// Copyright (C) 2003  Tommi Hynlnmaa

#ifndef ComputeNsofBlockDerivOp_h
#define ComputeNsofBlockDerivOp_h

#include "OctaveIncludes.h"
#include "CommonTypes.h"
#include "WaveletFilters.h"

Matrix ComputeNsofBlockDerivOp( 
  WaveletFilters const & wv,
  ScalingIndex k,
  WaveletType wtTarget,
  WaveletType wtSource,
  Array< TranslationIndex > aiTarget,
  Array< TranslationIndex > aiSource,
  ColumnVector filter,
  Integer order
  );

#ifdef OCTAVE_DL_COMPILATION
#include "ComputeNsofBlockDerivOp.cc"
#endif

#endif
