
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Computation of NSOF block for integral-to-infinity operator.

// Header file

// Copyright (C) 2003  Tommi Hynlnmaa

#ifndef ComputeNsofBlockIntegralInf_h
#define ComputeNsofBlockIntegralInf_h

#include "OctaveIncludes.h"
#include "CommonTypes.h"
#include "WaveletFilters.h"
#include "MotherIntegral.h"

Matrix ComputeNsofBlockIntegralInf(
  WaveletFilters const & wv,
  ScalingIndex k,
  WaveletType wtTarget,
  WaveletType wtSource,
  Array< Integer > aiTarget,
  Array< Integer > aiSource,
  MotherIntegral const & mother_integral
  );

#ifdef OCTAVE_DL_COMPILATION
#include "ComputeNsofBlockIntegralInf.cc"
#endif

#endif
