
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Computation of NSOF block for operator
//
//   (R_{-1} f)(r) 
//
//       / f(r) / |r|;   |r| >= c
//     = <
//       \ f(r) / c;   |r| < c
//

// Header file

// Copyright (C) 2003  Tommi Hynlnmaa

#ifndef ComputeNsofBlockInvR_h
#define ComputeNsofBlockInvR_h

#include "OctaveIncludes.h"
#include "CommonTypes.h"
#include "WaveletFilters.h"

Matrix ComputeNsofBlockInvR( 
  WaveletFilters const & wv,
  ScalingIndex k,
  WaveletType wtTarget,
  WaveletType wtSource,
  Array< TranslationIndex > aiTarget,
  Array< TranslationIndex > aiSource,
  Real rCutPoint
  );

#ifdef OCTAVE_DL_COMPILATION
#include "ComputeNsofBlockInvR.cc"
#endif

#endif
