
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Computation of NSOF block for Laplacian operator
//
//   (Op f)(r) = (df^2/dr^2)(r)
//

// Header file

// Copyright (C) 2003  Tommi Hynlnmaa

#ifndef ComputeNsofBlockLaplacian_h
#define ComputeNsofBlockLaplacian_h

#include "OctaveIncludes.h"
#include "CommonTypes.h"
#include "WaveletFilters.h"

Matrix ComputeNsofBlockLaplacian( 
  WaveletFilters const & wv,
  ScalingIndex k,
  WaveletType wtTarget,
  WaveletType wtSource,
  Array< TranslationIndex > aiTarget,
  Array< TranslationIndex > aiSource,
  ColumnVector filter
  );

#ifdef OCTAVE_DL_COMPILATION
#include "ComputeNsofBlockLaplacian.cc"
#endif

#endif
