
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Computation of NSOF block for multiplication operator
//
//   (M(f) g)(r) = f(r) g(r)
//

// Header file

// Copyright (C) 2003  Tommi Hynlnmaa

#ifndef ComputeNsofBlockProduct_h
#define ComputeNsofBlockProduct_h

#include "OctaveIncludes.h"
#include "CommonTypes.h"
#include "WaveletFilters.h"
#include "UniformBasis.h"

Matrix ComputeNsofBlockProduct( 
  WaveletFilters const & wv,
  ScalingIndex k,
  WaveletType wtTarget,
  WaveletType wtSource,
  Array< TranslationIndex > aiTarget,
  Array< TranslationIndex > aiSource,
  ColumnVector vComponents,
  UniformBasis const & usfb
  );

#ifdef OCTAVE_DL_COMPILATION
#include "ComputeNsofBlockProduct.cc"
#endif

#endif
