
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Computation of NSOF block for operator
//
//   (Rf)(r) = r f(r)
//

// Header file

// Copyright (C) 2003  Tommi Hynlnmaa

#ifndef ComputeNsofBlockR_h
#define ComputeNsofBlockR_h

#include "OctaveIncludes.h"
#include "CommonTypes.h"
#include "WaveletFilters.h"

Matrix ComputeNsofBlockR( 
  WaveletFilters const & wv,
  ScalingIndex k,
  WaveletType wtTarget,
  WaveletType wtSource,
  Array< TranslationIndex > aiTarget,
  Array< TranslationIndex > aiSource
  );

#ifdef OCTAVE_DL_COMPILATION
#include "ComputeNsofBlockR.cc"
#endif

#endif
