
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Computation of matrix of an operator in SOF given a function that
// calculates NSOF blocks of the operator.

// Header file

// Copyright (C) 2003  Tommi Hynlnmaa

#ifndef ComputeOperator_h
#define ComputeOperator_h

#include "OctaveIncludes.h"
#include "CommonTypes.h"
#include "WaveletFilters.h"
#include "Basis.h"
#include "NsofBlockComputator.h"

Matrix ComputeOperator(
  WaveletFilters const & wv,
  NsofBlockComputator const & nsofblockcomputator,
  Basis const & basisnsof,
  Array< Integer > aiDecNsof
  );

#endif
