
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Computation of a SOF block of an operator
// from a NSOF block.

// Header file

// Copyright (C) 2003  Tommi Hynlnmaa

#ifndef ComputeOperatorSofPart_h
#define ComputeOperatorSofPart_h

#include "OctaveIncludes.h"
#include "CommonTypes.h"
#include "WaveletFilters.h"
#include "Basis.h"

Matrix ComputeOperatorSofPart(
  WaveletFilters const & wv,
  Matrix mxNsof,
  Basis const & basisnsof,
  Array< Integer > aiDecNsof,
  ScalingIndex siMin,
  WaveletType wtSource,
  ScalingIndex siSource,
  Array< TranslationIndex > atiSource,
  WaveletType wtTarget,
  ScalingIndex siTarget,
  Array< TranslationIndex > atiTarget
  );

#ifdef OCTAVE_DL_COMPILATION
#include "ComputeOperatorSofPart.cc"
#endif

#endif
