
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Computation of Slater integral y values.

// Header file

// Copyright (C) 2003  Tommi Hynlnmaa

#ifndef ComputeSlaterIntegral_h
#define ComputeSlaterIntegral_h

#include "OctaveIncludes.h"
#include "CommonTypes.h"
#include "ScalingFunction.h"
#include "Basis.h"

ColumnVector DoComputeSlaterIntegral(
  ColumnVector vWfValues1,
  ColumnVector vWfValues2,
  Real rRange,
  Integer nSlaterK,
  bool fNegativePartSignChange,
  Real& rYa,
  Real& rYb
  );

ColumnVector ComputeSlaterIntegral(
  ScalingFunction const & scf,
  Basis const & basis,
  Integer nSlaterK,
  ColumnVector vComponents1,
  ColumnVector vComponents2,
  Real rRange,
  Integer nSlaterIntPoints,
  bool fNegativePartSignChange,
  Real& rYa,
  Real& rYb
  );

#endif
