
// Distributed under GNU Lesser General Public License
// See file LICENSE


// A console HF logger

// Implementation file

// Copyright (C) 2004  Tommi Hynlnmaa

#include "ConsoleHFLogger1.h"
#include <iostream>

#ifdef USE_NAMESPACES
using namespace std;
#endif

void ConsoleHFLogger1::NotifyIterationStep( Integer nIterationStep )
  {
  cout << "HF iteration step " << nIterationStep << endl;
  }

void ConsoleHFLogger1::NotifyOrbitalInfo(
  Integer iOrbital, Integer nPQN, Integer nOQN, Real rEpsilon,
  Array< EnumWfRejectionReason > anRejectionReasons
  )
  {
  Integer const nChecked = anRejectionReasons.length();
  cout << "Orbital n = " << nPQN << ", l = " << nOQN
       << ": epsilon_{nlnl} = " << rEpsilon << endl;
  cout << "Wavefunction rejection reasons:" << endl;  
  for( Integer iVec = 0; iVec < nChecked; iVec++ )
    {
    cout << "  eigenvector " << iVec << ": "
         << Integer( anRejectionReasons( iVec ) ) << endl;
    }
  }

void ConsoleHFLogger1::NotifyConvergenceIndicators( ColumnVector vConvIndic )
  {
  Integer const nOrbitals = vConvIndic.length();
  cout << "Convergence indicators:" << endl;
  for( Integer iOrbital = 0; iOrbital < nOrbitals; iOrbital++ )
    {
    cout << "  Orbital " << iOrbital << ": " << vConvIndic( iOrbital )
         << endl;
    }
  }
