
// Distributed under GNU Lesser General Public License
// See file LICENSE


// A console Helium HF output handler

// Header file

// Copyright (C) 2004  Tommi Hynlnmaa

#ifndef ConsoleHeliumHFOutputHandler1_h
#define ConsoleHeliumHFOutputHandler1_h

#include "OctaveIncludes.h"
#include "CommonTypes.h"
#include "HeliumHFOutputHandler.h"
#include "HeliumHFDefs.h"

class ConsoleHeliumHFOutputHandler1 : public HeliumHFOutputHandler
  {
  protected:
    string sRunName;
    HeliumHFComputationResults oResults;
    ColumnVector vWfScf;
    ColumnVector vWfHydrScf;
    Real rEnergy;
    ColumnVector vJTerms;
    ColumnVector vKTerms;
    HFBasisData hfbasisdata;

  public:
    ConsoleHeliumHFOutputHandler1( );
    virtual void SetRunName( string sRunName1 );
    virtual void SetBasisData( HFBasisData const & hfbasisdata1 );
    virtual void Start( );
    virtual void StartInitialization( );
    virtual void EndInitialization( );
    virtual void StartComputation( );
    virtual void EndComputation( );
    virtual void NotifyResults(
      HeliumHFComputationResults const & oResults1
      );
    virtual void NotifyScfWavefunction(
      ColumnVector vWfScf1
      );
    virtual void NotifyScfHydrWavefunction(
      ColumnVector vWfHydrScf1
      );
    virtual void NotifyEnergy(
      Real rEnergy1, ColumnVector vJTerms1, ColumnVector vKTerms1
      );
    virtual void Report( );
    virtual void Save( );
    virtual void Done( );
  };

#endif
