
// Distributed under GNU Lesser General Public License
// See file LICENSE


// A console NN HF output handler

// Header file

// Copyright (C) 2004  Tommi Hynlnmaa

#ifndef ConsoleNNHFOutputHandler1_h
#define ConsoleNNHFOutputHandler1_h

#include "OctaveIncludes.h"
#include "CommonTypes.h"
#include "NNHFOutputHandler.h"
#include "HFDefs.h"

class ConsoleNNHFOutputHandler1 : public NNHFOutputHandler
  {
  protected:
    string sRunName;
    HFAtomicData hfatomicdata;
    HFBasisData hfbasisdata;
    NondiagNeglHFComputationResults oResults;
    Real rEnergy;
    ColumnVector vJTerms;
    ColumnVector vKTerms;
    Matrix mxInnerProducts;
    Matrix mxWfScf;
    Matrix mxHydrWfScf;

  public:
    ConsoleNNHFOutputHandler1( );
    virtual void SetRunName( string sRunName1 );
    virtual void SetAtomicData( HFAtomicData const & hfatomicdata1 );
    virtual void SetBasisData( HFBasisData const & hfbasisdata1 );
    virtual void Start( );
    virtual void StartInitialization( );
    virtual void EndInitialization( );
    virtual void StartComputation( );
    virtual void EndComputation( );
    virtual void NotifyResults(
      NondiagNeglHFComputationResults const & oResults1
      );
    virtual void NotifyScfWavefunctions(
      Matrix mxWfScf1
      );
    virtual void NotifyScfHydrWavefunctions(
      Matrix mxHydrWfScf1
      );
    virtual void NotifyEnergy(
      Real rEnergy1, ColumnVector vJTerms1, ColumnVector vKTerms1
      );
    virtual void NotifyInnerProducts(
      Matrix mxInnerProducts1
      );
    virtual void Report( );
    virtual void Save( );
    virtual void Done( );
  };

#endif
