
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Construction of S(k+1) basis function set
// covering given Sk and Dk basis function sets.

// Header file

// Copyright (C) 2004  Tommi Hynlnmaa

#ifndef ConstructCoveringS_h
#define ConstructCoveringS_h

#include "OctaveIncludes.h"
#include "CommonTypes.h"
#include "UniformBasis.h"

UniformBasis ConstructCoveringS(
  ScalingIndex siTarget,
  TranslationIndex tiSkMin,
  TranslationIndex tiSkMax,
  TranslationIndex tiDkMin,
  TranslationIndex tiDkMax,
  Integer nWaveletDegree
  );

#endif
