
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Construction of mother scaling function \phi.

// Header file

// Copyright (C) 2003  Tommi Hynlnmaa

#include "ConstructMotherScalingFunction.h"
#include "RefineVectorInUsfb.h"

// #define DEBUG_OUTPUT

#ifdef DEBUG_OUTPUT
#include <iostream>
#endif

UsfbTabulatedFunction
ConstructMotherScalingFunction(
  WaveletFilters const & wv,
  ScalingIndex siTarget
  )
  {
#ifdef DEBUG_OUTPUT
  cout << "ConstructMotherScalingFunction ENTER" << endl;
#endif
  UniformBasis usfbInitial( 0, 0, 0, 0 );
  ColumnVector vInitial( 1, 1.0 );
  pair< UniformBasis, ColumnVector > const usfbRef_vRef =
    RefineVectorInUsfb(
      wv,
      siTarget,
      pair< UniformBasis, ColumnVector >(
        usfbInitial,
        vInitial
        )
      );
#ifdef DEBUG_OUTPUT
  cout << "ConstructMotherScalingFunction EXIT" << endl;
#endif
  return UsfbTabulatedFunction(
    usfbRef_vRef.first,
    usfbRef_vRef.second
    );
  }
