
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Conversion of a uniform basis to array
// of basis multi-indices.

// Implementation file

// Copyright (C) 2003  Tommi Hynlnmaa

#include "ConvertUniformBasisToArray.h"
#include "OwnError.h"

Array< BasisMultiIndex >
ConvertUniformBasisToArray( UniformBasis const & usfb )
  {
  Integer const nLength = usfb.tiMax - usfb.tiMin + 1;
  if( nLength < 0 )
    {
    OwnError( "ConvertUniformBasisToArray: invalid range in uniform basis" );
    return Array< BasisMultiIndex >();
    }
  else if( nLength == 0 )
    {
    return Array< BasisMultiIndex >();
    }
  else
    {
    // nLength > 0
    Array< BasisMultiIndex > amiResult( nLength );
    for( Integer i = 0; i < nLength; i++ )
      {
      amiResult( i ) =
        BasisMultiIndex( usfb.wt, usfb.si, usfb.tiMin + i );
      }
    return amiResult;
    }
  }
