
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Conversion of a vector in NSOF basis to nearest
// scaling function basis.

// Header file

// Copyright (C) 2003  Tommi Hynlnmaa

#ifndef ConvertVectorFromNsofToNearestScfBasis_h
#define ConvertVectorFromNsofToNearestScfBasis_h

#include "OctaveIncludes.h"
#include "CommonTypes.h"
#include "WaveletFilters.h"
#include "Basis.h"
#include "UniformBasis.h"

ColumnVector ConvertVectorFromNsofToNearestScfBasis(
  WaveletFilters const & wv,
  Basis const & basis_nsof,
  Array< Integer > const & aiDecNsof,
  UniformBasis const & usfb,
  ColumnVector vNsof
  );
 
#ifdef OCTAVE_DL_COMPILATION
#include "ConvertVectorFromNsofToNearestScfBasis.h"
#endif

#endif
