
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Conversion from a vector from a scaling function basis
// to a standard basis.

// Header file

// Copyright (C) 2003  Tommi Hynlnmaa

#ifndef ConvertVectorFromScfToStandardBasis_h
#define ConvertVectorFromScfToStandardBasis_h

#include "OctaveIncludes.h"
#include "CommonTypes.h"
#include "WaveletFilters.h"
#include "Basis.h"
#include "UniformBasis.h"

ColumnVector ConvertVectorFromScfToStandardBasis(
  WaveletFilters const & wv,
  Basis const & basis,
  UniformBasis const & usfb,
  ColumnVector v
  );

#ifdef OCTAVE_DL_COMPILATION
#include "ConvertVectorFromScfToStandardBasis.cc"
#endif

#endif
