
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Conversion of a vector in a standard basis
// to the nearest scaling function basis.

// Implementation file

// Copyright (C) 2003  Tommi Hynlnmaa

#include "ConvertVectorToNearestScfBasis.h"
#include "ConvertVectorToNsof.h"
#include "ConvertVectorFromNsofToNearestScfBasis.h"

ColumnVector ConvertVectorToNearestScfBasis(
  WaveletFilters const & wv,
  Basis const & basisNsof,
  Array< Integer > const & anDecNsof,
  UniformBasis const & usfb,
  ColumnVector v
  )
  {
  return ConvertVectorFromNsofToNearestScfBasis(
    wv, basisNsof, anDecNsof, usfb,
    ConvertVectorToNsof(
      wv, basisNsof, anDecNsof, v
      )
    );
  }
