
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Conversion of a vector in a standard basis to nearest
// scaling function basis.

// Header file

// Copyright (C) 2003  Tommi Hynlnmaa

#ifndef ConvertVectorToNearestScfBasis_h
#define ConvertVectorToNearestScfBasis_h

#include "OctaveIncludes.h"
#include "CommonTypes.h"
#include "WaveletFilters.h"
#include "Basis.h"
#include "UniformBasis.h"

ColumnVector ConvertVectorToNearestScfBasis(
  WaveletFilters const & wv,
  Basis const & basisNsof,
  Array< Integer > const & anDecNsof,
  UniformBasis const & usfb,
  ColumnVector v
  );
 
#ifdef OCTAVE_DL_COMPILATION
#include "ConvertVectorToNearestScfBasis.h"
#endif

#endif
