
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Conversion of a vector from a standard basis
// to a NSOF basis.

// Header file

// Copyright (C) 2003  Tommi Hynlnmaa

#ifndef ConvertVectorToNsof_h
#define ConvertVectorToNsof_h

#include "OctaveIncludes.h"
#include "CommonTypes.h"
#include "WaveletFilters.h"
#include "Basis.h"
#include "UniformBasis.h"

ColumnVector ConvertVectorToNsof(
  WaveletFilters const & wv,
  Basis const & basis_nsof,
  Array< Integer > const & aiDecNsof,
  ColumnVector v
  );
 
#ifdef OCTAVE_DL_COMPILATION
#include "ConvertVectorToNsof.cc"
#endif

#endif
