
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Hartree-Fock computation for Neon

// Header file

// Copyright (C) 2004  Tommi Hynlnmaa

#ifndef DoNeonHFComputation_h
#define DoNeonHFComputation_h

#include "OctaveIncludes.h"
#include "OctaveComplexIncludes.h"
#include "WaveletFilters.h"
#include "Basis.h"
#include "UniformBasis.h"
#include "EnumWfRejectionReason.h"
#include "EnumHFComputationError.h"
#include "HFOrbitalComputationParams.h"
#include "MotherIntegral.h"
#include "ComputeMatrixNorm.h"
#include "NeonHFDefs.h"
#include "HFLogger.h"

NeonHFComputationResults DoNeonHFComputation(
  WaveletFilters const & wv,
  Basis const & basisSof,
  Array< Integer > anDecSof,
  Basis const & basisNsof,
  Array< Integer > anDecNsof,
  Basis const & basisZNsof,
  Array< Integer > anDecZNsof,
  Integer iIndexToZ,
  UniformBasis const & usfbScfBasis,
  MotherIntegral const & motherintegral,
  ColumnVector vD1Filter,
  ColumnVector vD2Filter,
  Integer nAtomicNumber,
  Integer nMaxIterations,
  Real rConvThreshold,
  EnumMatrixNormType nMatrixNormType,
  HFOrbitalComputationParams const & hforbparams1s,
  HFOrbitalComputationParams const & hforbparams2s,
  HFOrbitalComputationParams const & hforbparams2p,
  HFLogger& logger
  );

#endif
