
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Hartree-Fock computation where nondiagonal Lagrange
// multipliers are neglected.

// Header file

// Copyright (C) 2003  Tommi Hynlnmaa

#ifndef DoNondiagNeglHFComputation_h
#define DoNondiagNeglHFComputation_h

#include "OctaveIncludes.h"
#include "OctaveComplexIncludes.h"
#include "WaveletFilters.h"
#include "HFDefs.h"
#include "Basis.h"
#include "UniformBasis.h"
#include "EnumWfRejectionReason.h"
#include "EnumHFComputationError.h"
#include "HFOrbitalComputationParams.h"
#include "MotherIntegral.h"
#include "ComputeMatrixNorm.h"
#include "HFLogger.h"

NondiagNeglHFComputationResults DoNondiagNeglHFComputation(
  HFAtomicData const & hfatomicdata,
  HFBasisData const & hfbasisdata,
  WaveletFilters const & wv,
  MotherIntegral const & motherintegral,
  ColumnVector vD1Filter,
  ColumnVector vD2Filter,
  Integer nMaxIterations,
  Real rConvThreshold,
  EnumMatrixNormType nMatrixNormType,
  Array< HFOrbitalComputationParams > aHFOrbParams,
  HFLogger & logger
  );

#endif
