
// Distributed under GNU Lesser General Public License
// See file LICENSE


// First derivative filter for 8th degree interpolating wavelet family

// Implementation file

// Copyright (C) 2003  Tommi Hynlnmaa

#include "GetD1BasicIntegralsInterp8.h"

// Since filter is antisymmetric around 0,
// only elements a_i for i >= 0 need to be given.

static Integer const nD1FilterInterp8 = 6;
static Real const arD1FilterInterp8[ nD1FilterInterp8 + 1 ] =
{
  0.0,
  39296.0/49553, 
  -76113.0/396424,
  1664.0/49553,
  -2645.0/1189272,
  -128.0/743295,
  1.0/1189272 
};

ColumnVector GetD1BasicIntegralsInterp8()
  {
  ColumnVector vFilter( 2 * nD1FilterInterp8 + 1, 0.0 );
  vFilter( nD1FilterInterp8 ) = arD1FilterInterp8[ 0 ];
  for( Integer i = 1; i <= nD1FilterInterp8; i++ )
    {
    // Set a_i
    vFilter( nD1FilterInterp8 + i ) = arD1FilterInterp8[ i ];
    // Set a_{-i} = -a_i
    vFilter( nD1FilterInterp8 - i ) = -arD1FilterInterp8[ i ];
    }
  return vFilter;
  }
