
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Second derivative filter for 8th degree interpolating wavelet family

// Implementation file

// Copyright (C) 2003  Tommi Hynlnmaa

#include "GetD2BasicIntegralsInterp8.h"

// Since filter is symmetric around 0,
// only elements a_i for i >= 0 need to be given.

static Integer const nD2FilterInterp8 = 6;
static Real const arD2FilterInterp8[ nD2FilterInterp8 + 1 ] =
{
  -342643.0/82248,
  2852128.0/1079505,
  -12053651.0/17272080,
  162976.0/1079505,
  -60871.0/5757360,
  -352.0/215901,
  55.0/3454416
};

ColumnVector GetD2BasicIntegralsInterp8()
  {
  ColumnVector vFilter( 2 * nD2FilterInterp8 + 1, 0.0 );
  vFilter( nD2FilterInterp8 ) = arD2FilterInterp8[ 0 ];
  for( Integer i = 1; i <= nD2FilterInterp8; i++ )
    {
    // Set a_i
    vFilter( nD2FilterInterp8 + i ) = arD2FilterInterp8[ i ];
    // Set a_{-i} = a_i
    vFilter( nD2FilterInterp8 - i ) = arD2FilterInterp8[ i ];
    }
  return vFilter;
  }
