
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Structs for HF computation

// Header file without implementation file

// Copyright (C) 2004  Tommi Hynlnmaa

#ifndef HFDefs_h
#define HFDefs_h

#include "OctaveIncludes.h"
#include "CommonTypes.h"
#include "EnumHFComputationError.h"
#include "Basis.h"
#include "UniformBasis.h"

struct NondiagNeglHFComputationResults
  {
    EnumHFComputationError errhf;
    Integer nErrorInOrbital;
    ColumnVector vDiagLagrangeMultipliers;
    ColumnVector vHydrDiagLagrangeMultipliers;
    Matrix mxWavefunctions;
    Matrix mxHydrWavefunctions;
    Matrix mxOpLaplacian;
    Matrix mxOpR;
    Matrix mxOpInvR;
    Matrix mxOpZR;
    Matrix mxOpZIntZero;
    Matrix mxOpZIntInf;
    Array< Matrix > amxOpsZSlater;
    Array< Matrix > amxOpsDirectInt;
    Array< Matrix > amxOpsExchangeInt;
};

struct HFBasisData
  {
    Basis basisSof;
    Array< Integer > anDecSof;
    Basis basisNsof;
    Array< Integer > anDecNsof;
    Basis basisZNsof;
    Array< Integer > anDecZNsof;
    Integer iIndexToZ;
    UniformBasis usfbScfBasis;
};

struct HFAtomicData
  {
    Integer nAtomicNumber;
    Integer nOrbitals;
    Array< Integer > anOccupations;
    Array< Integer > anPQN;
    Array< Integer > anAMQN;
    Integer nSlaterExps;
    Array< Integer > anJCounts;
    Array< Integer > anKCounts;
    Array< ColumnVector > avCD;
    Array< ColumnVector > avCE;
};

#endif
