
// Distributed under GNU Lesser General Public License
// See file LICENSE


// HF logger class

// Header file without implementation file

// Copyright (C) 2004  Tommi Hynlnmaa

#ifndef HFLogger_h
#define HFLogger_h

#include "OctaveIncludes.h"
#include "CommonTypes.h"
#include "EnumWfRejectionReason.h"
#include "HFDefs.h"

class HFLogger
  {
  public:
    virtual void NotifyIterationStep( Integer nIterationStep ) = 0;
    virtual void NotifyOrbitalInfo(
      Integer iOrbital, Integer nPQN, Integer nOQN, Real rEpsilon,
      Array< EnumWfRejectionReason > anRejectionReasons
      ) = 0;
    virtual void NotifyConvergenceIndicators( ColumnVector vConvIndic ) = 0;
    virtual ~HFLogger( )
      {
      }
  };

#endif
