
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Helium HF output handler

// Header file without implementation file

// Copyright (C) 2004  Tommi Hynlnmaa

#ifndef HeliumHFOutputHandler_h
#define HeliumHFOutputHandler_h

#include "OctaveIncludes.h"
#include "CommonTypes.h"
#include "EnumHFComputationError.h"
#include "HeliumHFDefs.h"
#include "HFDefs.h"
#include <string>

#ifdef USE_NAMESPACES
using namespace std;
#endif

class HeliumHFOutputHandler
  {
  public:
    virtual void SetRunName( string sRunName1 ) = 0;
    virtual void SetBasisData( HFBasisData const & ) = 0;
    virtual void Start( ) = 0;
    virtual void StartInitialization( ) = 0;
    virtual void EndInitialization( ) = 0;
    virtual void StartComputation( ) = 0;
    virtual void EndComputation( ) = 0;
    virtual void NotifyResults(
      HeliumHFComputationResults const &
      ) = 0;
    virtual void NotifyScfWavefunction(
      ColumnVector
      ) = 0;
    virtual void NotifyScfHydrWavefunction(
      ColumnVector
      ) = 0;
    virtual void NotifyEnergy(
      Real, ColumnVector, ColumnVector
      ) = 0;
    virtual void Report( ) = 0;
    virtual void Save( ) = 0;
    virtual void Done( ) = 0;
    virtual ~HeliumHFOutputHandler( )
      {
      }
  };

#endif
