
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Computator class for integral-to-infinity operator NSOF blocks

// Header file

// Copyright (C) 2003  Tommi Hynlnmaa

#ifndef IntegralInfNsofBlockComputator_h
#define IntegralInfNsofBlockComputator_h

#include "OctaveIncludes.h"
#include "NsofBlockComputator.h"
#include "WaveletFilters.h"
#include "MotherIntegral.h"

class IntegralInfNsofBlockComputator
: public NsofBlockComputator
  {
    private:

  WaveletFilters wv;
  MotherIntegral motherintegral;

    public:

  IntegralInfNsofBlockComputator(
    WaveletFilters const & wv1,
    MotherIntegral const & motherintegral1
    )
    : wv( wv1 ), motherintegral( motherintegral1 )
      {
      }

  virtual Matrix Evaluate(
    ScalingIndex, WaveletType, WaveletType,
    Array< TranslationIndex >,
    Array< TranslationIndex >
    ) const;

  virtual ~IntegralInfNsofBlockComputator()
      {
      }

  };

#endif
