
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Class for filter initializations for
// 8th order interpolating wavelets.

// Header file without implementation file

// Copyright (C) 2004  Tommi Hynlnmaa

#ifndef Interp8FilterInitializer_h
#define Interp8FilterInitializer_h

#include "OctaveIncludes.h"
#include "CommonTypes.h"
#include "GetFiltersInterp8.h"
#include "GetD1BasicIntegralsInterp8.h"
#include "GetD2BasicIntegralsInterp8.h"

class Interp8FilterInitializer
  {
  public:

    static WaveletFilters GetWaveletFilters( )
      {
      return GetFiltersInterp8( );
      }

    static ColumnVector GetD1Filter( )
      {
      return GetD1BasicIntegralsInterp8( );
      }

    static ColumnVector GetD2Filter( )
      {
      return GetD2BasicIntegralsInterp8( );
      }

  };

#endif
