
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Computator class for Laplacian NSOF blocks

// Header file

// Copyright (C) 2003  Tommi Hynlnmaa

#ifndef LaplacianNsofBlockComputator_h
#define LaplacianNsofBlockComputator_h

#include "OctaveIncludes.h"
#include "NsofBlockComputator.h"
#include "WaveletFilters.h"

class LaplacianNsofBlockComputator
: public NsofBlockComputator
  {
    private:

  WaveletFilters wv;
  ColumnVector vFilter;

    public:

  LaplacianNsofBlockComputator(
    WaveletFilters const & wv1,
    ColumnVector vFilter1
    )
    : wv( wv1 ), vFilter( vFilter1 )
      {
      }

  virtual Matrix Evaluate(
    ScalingIndex, WaveletType, WaveletType,
    Array< TranslationIndex >,
    Array< TranslationIndex >
    ) const;

  virtual ~LaplacianNsofBlockComputator()
      {
      }

  };

#endif
