
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Matrix utility functions.

// Header file

// Copyright (C) 2003  Tommi Hynlnmaa

#ifndef MatrixUtils_h
#define MatrixUtils_h

#include "OctaveIncludes.h"
#include "CommonTypes.h"

Matrix
RemoveRowFromMatrix(
  Matrix mx,
  Integer iRow
  );

Matrix
RemoveColumnFromMatrix(
  Matrix mx,
  Integer iColumn
  );

Matrix
InsertColumnToMatrix(
  Matrix mx,
  ColumnVector v,
  Integer i
  );

Matrix
InsertRowToMatrix(
  Matrix mx,
  RowVector v,
  Integer i
  );

Matrix
InsertZToMatrix(
  Matrix mx,
  Integer i
  );

Matrix
RemoveZFromMatrix(
  Matrix mx,
  Integer i
  );

void
SetMatrixColumn(
  Matrix & mx,
  Integer i,
  ColumnVector v
  );

void
SetMatrixRow(
  Matrix & mx,
  Integer i,
  RowVector v
  );

#endif
