
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Output handler for HF with nondiagonal Lagrange
// multipliers neglected

// Header file without implementation file

// Copyright (C) 2004  Tommi Hynlnmaa

#ifndef NNHFOutputHandler_h
#define NNHFOutputHandler_h

#include "OctaveIncludes.h"
#include "CommonTypes.h"
#include "EnumHFComputationError.h"
#include "HFDefs.h"
#include <string>

#ifdef USE_NAMESPACES
using namespace std;
#endif

class NNHFOutputHandler
  {
  public:
    virtual void SetRunName( string sRunName1 ) = 0;
    virtual void SetAtomicData( HFAtomicData const & ) = 0;
    virtual void SetBasisData( HFBasisData const & ) = 0;
    virtual void Start( ) = 0;
    virtual void StartInitialization( ) = 0;
    virtual void EndInitialization( ) = 0;
    virtual void StartComputation( ) = 0;
    virtual void EndComputation( ) = 0;
    virtual void NotifyResults(
      NondiagNeglHFComputationResults const &
      ) = 0;
    virtual void NotifyScfWavefunctions(
      Matrix
      ) = 0;
    virtual void NotifyScfHydrWavefunctions(
      Matrix
      ) = 0;
    virtual void NotifyEnergy(
      Real, ColumnVector, ColumnVector
      ) = 0;
    virtual void NotifyInnerProducts( Matrix ) = 0;
    virtual void Report( ) = 0;
    virtual void Save( ) = 0;
    virtual void Done( ) = 0;
    virtual ~NNHFOutputHandler( )
      {
      }
  };

#endif
