
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Neon HF computation results

// Header file without implementation file

// Copyright (C) 2004  Tommi Hynlnmaa

#ifndef NeonHFDefs_h
#define NeonHFDefs_h

#include "OctaveIncludes.h"
#include "CommonTypes.h"
#include "EnumHFComputationError.h"

struct NeonHFComputationResults
  {
    EnumHFComputationError errhf;
    Integer nErrorAtPQN;
    Integer nErrorAtAMQN;
    Real rEpsilon1s;
    Real rEpsilon2s;
    Real rEpsilon2p;
    Real rEpsilon1sHydr;
    Real rEpsilon2sHydr;
    Real rEpsilon2pHydr;
    ColumnVector vWf1s;
    ColumnVector vWf2s;
    ColumnVector vWf2p;
    ColumnVector vWf1sHydr;
    ColumnVector vWf2sHydr;
    ColumnVector vWf2pHydr;
    Matrix mxOpLaplacian;
    Matrix mxOpR;
    Matrix mxOpInvR;
    Matrix mxOpZR;
    Matrix mxOpZIntZero;
    Matrix mxOpZIntInf;
    Matrix mxOpZSlater0;
    Matrix mxOpZSlater1;
    Matrix mxOpZSlater2;
    Matrix mxOpH0L0;
    Matrix mxOpH0L1;
    Matrix mxOpJ1s;
    Matrix mxOpJ2s;
    Matrix mxOpJ2p;
    Matrix mxOpK1s;
    Matrix mxOpK2s;
    Matrix mxOpK2p;
  };

#endif
