
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Normalization of a wavefunction represented in
// interpolating wavelet (SOF) basis.

// Implementation file

// Copyright (C) 2003  Tommi Hynlnmaa

#include "NormalizeWavefunction.h"
#include "ComputeNormalizationCoefficient.h"
#include "ConvertVectorToNearestScfBasis.h"

ColumnVector
NormalizeWavefunction(
  WaveletFilters const & wv,
  Basis const & basisNsof,
  Array< Integer > anDecNsof,
  UniformBasis const & usfbScfBasis,
  ColumnVector vWavefunction
  )
  {
  return
    vWavefunction
    / ComputeNormalizationCoefficient(
      usfbScfBasis,
      ConvertVectorToNearestScfBasis(
        wv, basisNsof, anDecNsof, usfbScfBasis, vWavefunction
        )
      );
  }
