
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Normalization of a wavefunction represented in
// interpolating wavelet (SOF) basis.

// Header file

// Copyright (C) 2003  Tommi Hynlnmaa

#ifndef NormalizeWavefunction_h
#define NormalizeWavefunction_h

#include "OctaveIncludes.h"
#include "CommonTypes.h"
#include "WaveletFilters.h"
#include "Basis.h"
#include "UniformBasis.h"

ColumnVector
NormalizeWavefunction(
  WaveletFilters const & wv,
  Basis const & basisNsof,
  Array< Integer > anDecNsof,
  UniformBasis const & usfbScfBasis,
  ColumnVector vWavefunction
  );

#endif
