
// Distributed under GNU Lesser General Public License
// See file LICENSE


// class NsofBlockComputator

// Abstract class to be used as base class
// for concrete NSOF block computator classes.

// Header file

// Copyright (C) 2003  Tommi Hynlnmaa

#ifndef NsofBlockComputator_h
#define NsofBlockComputator_h

#include "OctaveIncludes.h"
#include "CommonTypes.h"

class NsofBlockComputator
  {
    public:

  virtual Matrix Evaluate(
    ScalingIndex, WaveletType, WaveletType,
    Array< TranslationIndex >,
    Array< TranslationIndex >
    ) const;

  virtual ~NsofBlockComputator()
      {
      }
  };

#endif
