
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Subclass of NNHFComputation with parametrization

// Implementation file

// Copyright (C) 2004  Tommi Hynlnmaa

#include "ParametrizedNNHFComputation.h"

template< 
  class AtomicDataFactory, 
  class OrbitalParameterFactory,
  class FilterInitializer,
  class BasisFactory,
  class OutputHandler, class Logger >
HFAtomicData
ParametrizedNNHFComputation<
  AtomicDataFactory, OrbitalParameterFactory, FilterInitializer,
  BasisFactory, OutputHandler, Logger >
::GetAtomicData( ) const
  {
  return AtomicDataFactory::GetAtomicData( );
  }

template< 
  class AtomicDataFactory, 
  class OrbitalParameterFactory, 
  class FilterInitializer,
  class BasisFactory,
  class OutputHandler, class Logger >
Array< HFOrbitalComputationParams >
ParametrizedNNHFComputation<
  AtomicDataFactory, OrbitalParameterFactory, FilterInitializer,
  BasisFactory, OutputHandler, Logger >
::GetOrbitalParams( ) const
  {
  return OrbitalParameterFactory::GetOrbitalParameters( );
  }

template< 
  class AtomicDataFactory,
  class OrbitalParameterFactory,
  class FilterInitializer,
  class BasisFactory,
  class OutputHandler, class Logger >
pair< Basis, Integer >
ParametrizedNNHFComputation<
  AtomicDataFactory, OrbitalParameterFactory, FilterInitializer,
  BasisFactory, OutputHandler, Logger >
::GetBasis( ) const
  {
  return BasisFactory::GetBasis( );
  }

template< 
  class AtomicDataFactory,
  class OrbitalParameterFactory,
  class FilterInitializer,
  class BasisFactory,
  class OutputHandler, class Logger >
void
ParametrizedNNHFComputation<
  AtomicDataFactory, OrbitalParameterFactory, FilterInitializer,
  BasisFactory, OutputHandler, Logger >
::InitFilters( )
  {
  wv = FilterInitializer::GetWaveletFilters( );
  vD1Filter = FilterInitializer::GetD1Filter( );
  vD2Filter = FilterInitializer::GetD2Filter( );
  }

template< 
  class AtomicDataFactory,
  class OrbitalParameterFactory,
  class FilterInitializer,
  class BasisFactory,
  class OutputHandler, class Logger >
OutputHandler*
ParametrizedNNHFComputation<
  AtomicDataFactory, OrbitalParameterFactory, FilterInitializer,
  BasisFactory, OutputHandler, Logger >
::GetOutputHandler( ) const
  {
  return new OutputHandler;
  }

template< 
  class AtomicDataFactory,
  class OrbitalParameterFactory,
  class FilterInitializer,
  class BasisFactory,
  class OutputHandler, class Logger >
Logger*
ParametrizedNNHFComputation<
  AtomicDataFactory, OrbitalParameterFactory, FilterInitializer,
  BasisFactory, OutputHandler, Logger >
::GetLogger( ) const
  {
  return new Logger;
  }
