
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Printing info for Hartree-Fock iteration step.

// Implementation file

// Copyright (C) 2003  Tommi Hynlnmaa

#include "PrintHFIterationInfo.h"
#include <iostream>

#ifdef USE_NAMESPACES
using namespace std;
#endif

void PrintHFIterationStep( Integer nIterationStep )
  {
  cout << "HF iteration step " << nIterationStep << endl;
  }

void PrintHFOrbitalInfo(
  Integer nPQN, Integer nAMQN, Real rEpsilon,
  Array< EnumWfRejectionReason > anRejectionReasons
  )
  {
  Integer const nChecked = anRejectionReasons.length();
  cout << "Orbital n = " << nPQN << ", l = " << nAMQN
       << ": epsilon_{nlnl} = " << rEpsilon << endl;
  cout << "Wavefunction rejection reasons:" << endl;  
  for( Integer iVec = 0; iVec < nChecked; iVec++ )
    {
    cout << "  eigenvector " << iVec << ": "
         << Integer( anRejectionReasons( iVec ) ) << endl;
    }
  }

void PrintHFConvergenceIndicators( ColumnVector vConvIndic )
  {
  Integer const nOrbitals = vConvIndic.length();
  cout << "Convergence indicators:" << endl;
  for( Integer iOrbital = 0; iOrbital < nOrbitals; iOrbital++ )
    {
    cout << "  Orbital " << iOrbital << ": " << vConvIndic( iOrbital )
         << endl;
    }
  }
