
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Computator class for multiplication operator NSOF blocks

// Implementation file

// Copyright (C) 2003  Tommi Hynlnmaa

#include "ProductNsofBlockComputator.h"
#include "ComputeNsofBlockProduct.h"

// #define DEBUG_OUTPUT

#ifdef DEBUG_OUTPUT
#include <iostream>
#endif

Matrix ProductNsofBlockComputator::Evaluate(
    ScalingIndex si, WaveletType wtTarget, WaveletType wtSource,
    Array< TranslationIndex > atiTarget,
    Array< TranslationIndex > atiSource
    ) const
  {
#ifdef DEBUG_OUTPUT
  cout << "ProductNsofBlockComputator::Evaluate" << endl;
  cout << "  si = " << si << endl;
  cout << "  wtTarget = " << wtTarget << endl;
  cout << "  wtSource = " << wtSource << endl;
  cout << "  atiTarget = { ";
  for( Integer i = 0; i < atiTarget.length(); i++ )
    {
    cout << atiTarget( i );
    if( i < atiTarget.length() - 1 )
      {
      cout << ", ";
      }
    }
  cout << " }" << endl;
  cout << "  atiSource = { ";
  for( Integer i = 0; i < atiSource.length(); i++ )
    {
    cout << atiSource( i );
    if( i < atiSource.length() - 1 )
      {
      cout << ", ";
      }
    }
  cout << " }" << endl;
#endif
  return ComputeNsofBlockProduct(
    wv, si, wtTarget, wtSource, atiTarget, atiSource, vFunction, usfb
    );
  }
