
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Computator class for multiplication operator NSOF blocks

// Header file

// Copyright (C) 2003  Tommi Hynlnmaa

#ifndef ProductNsofBlockComputator_h
#define ProductNsofBlockComputator_h

#include "OctaveIncludes.h"
#include "NsofBlockComputator.h"
#include "WaveletFilters.h"
#include "UniformBasis.h"

class ProductNsofBlockComputator
: public NsofBlockComputator
  {
    private:

  WaveletFilters wv;
  UniformBasis usfb;
  ColumnVector vFunction;

    public:

  ProductNsofBlockComputator(
    WaveletFilters const & wv1,
    UniformBasis const & usfb1,
    ColumnVector vFunction1
    )
    : wv( wv1 ), usfb( usfb1 ), vFunction( vFunction1 )
      {
      }

  virtual Matrix Evaluate(
    ScalingIndex, WaveletType, WaveletType,
    Array< TranslationIndex >,
    Array< TranslationIndex >
    ) const;

  virtual ~ProductNsofBlockComputator()
      {
      }

  };

#endif
