
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Computator class for R-operator NSOF blocks

// Header file

// Copyright (C) 2003  Tommi Hynlnmaa

#ifndef RNsofBlockComputator_h
#define RNsofBlockComputator_h

#include "OctaveIncludes.h"
#include "NsofBlockComputator.h"
#include "WaveletFilters.h"

class RNsofBlockComputator
: public NsofBlockComputator
  {
    private:

  WaveletFilters wv;

    public:

  RNsofBlockComputator(
    WaveletFilters const & wv1
    )
    : wv( wv1 )
      {
      }

  virtual Matrix Evaluate(
    ScalingIndex, WaveletType, WaveletType,
    Array< TranslationIndex >,
    Array< TranslationIndex >
    ) const;

  };

#endif
