
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Refining vector in uniform standard function basis
// to a given resolution level.

// Header file

// Copyright (C) 2003  Tommi Hynlnmaa

#ifndef RefineVectorInUsfb_h
#define RefineVectorInUsfb_h

#include "OctaveIncludes.h"
#include "CommonTypes.h"
#include "WaveletFilters.h"
#include "UniformBasis.h"
#include <utility>

#ifdef USE_NAMESPACES
using namespace std;
#endif

pair< UniformBasis, ColumnVector >
RefineVectorInUsfb(
  WaveletFilters const & wv,
  ScalingIndex siTarget,
  pair< UniformBasis, ColumnVector > const & usfb_vector
  );

#ifdef OCTAVE_DL_COMPILATION
#include "RefineVectorInUsfb.cc"
#endif

#endif
