
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Class UsfbTabulatedFunction

// Class for a function whose values are tabulated
// at x values of a uniform basis.

// Header file

// Copyright (C) 2003  Tommi Hynlnmaa

#ifndef UsfbTabulatedFunction_h
#define UsfbTabulatedFunction_h

#include "OctaveIncludes.h"
#include "UniformBasis.h"

class UsfbTabulatedFunction
  {
    public:
  UniformBasis usfb;
  ColumnVector vValues;

  UsfbTabulatedFunction()
      {
      }

  UsfbTabulatedFunction(
    UniformBasis const & usfb1,
    ColumnVector vValues1
    )
    : usfb( usfb1 ),
    vValues( vValues1 )
      {
      }

  bool IsCorrect() const
      {
      return
        ( vValues.length() == usfb.tiMax - usfb.tiMin + 1 );
      }

  UsfbTabulatedFunction RK4Integrate() const;

  UsfbTabulatedFunction ComputeFunctionAtIntegerPerTwo() const;

  };

#endif
