
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Vector utility functions.

// Header file

// Copyright (C) 2003  Tommi Hynlnmaa

#ifndef VectorUtils_h
#define VectorUtils_h

#include "OctaveIncludes.h"
#include "CommonTypes.h"

ColumnVector
InsertElementToColumnVector(
  ColumnVector v,
  Integer i,
  Real r
  );

Real GetColumnVectorInfinityNorm( ColumnVector v );

inline
ColumnVector
GetColumnVector( Real r0 )
  {
  return ColumnVector( 1, r0 );
  }

inline
ColumnVector
GetColumnVector( Real r0, Real r1 )
  {
  ColumnVector v( 2 );
  v( 0 ) = r0;
  v( 1 ) = r1;
  return v;
  }

inline
ColumnVector
GetColumnVector( Real r0, Real r1, Real r2 )
  {
  ColumnVector v( 3 );
  v( 0 ) = r0;
  v( 1 ) = r1;
  v( 2 ) = r2;
  return v;
  }

inline
Real
Dot( ColumnVector v1, ColumnVector v2 )
  {
  return v1.transpose( ) * v2;
  }
 
#endif
