
// Distributed under GNU Lesser General Public License
// See file LICENSE


// class WaveletFilters

// Class for storing wavelet filters h, g, ht and gt
// and their order.

// Header file without implementation file

// Copyright (C) 2003  Tommi Hynlnmaa

#ifndef WaveletFilters_h
#define WaveletFilters_h

#include "OctaveIncludes.h"
#include "CommonTypes.h"

class WaveletFilters 
  {
  public:

  Integer nM;
  ColumnVector vH;
  ColumnVector vG;
  ColumnVector vHt;
  ColumnVector vGt;

  WaveletFilters( )
    : nM( 0 )
    {
    }

  WaveletFilters( Integer nM1,
		  ColumnVector vH1,
		  ColumnVector vG1,
		  ColumnVector vHt1,
		  ColumnVector vGt1 )
    : nM( nM1 ), vH( vH1 ), vG( vG1 ), vHt( vHt1 ), vGt( vGt1 )
    {
    }

  };


#endif
